Name:           google-collections
Version:        1.0
Release:        1%{?dist}
Summary:        Google Collections Library

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://code.google.com/p/google-collections/
#svn export http://google-collections.googlecode.com/svn/trunk/ google-collections-1.0 
#tar jcf google-collections-1.0.tar.bz2 google-collections-1.0
Source0:        %{name}-%{version}.tar.bz2
#svn export http://google-maven-repository.googlecode.com/svn/repository/com/google/collections/google-collections/1.0/google-collections-1.0.pom
Source1:        %{name}-%{version}.pom
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  java-javadoc
BuildRequires:  jpackage-utils

Requires:       java
Requires:       jpackage-utils

Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
The Google Collections Library 1.0 is a set of new collection types, 
implementations and related goodness for Java 5 and higher, 
brought to you by Google. It is a natural extension of 
the Java Collections Framework. 

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%setup -q

%build
ant -Dversion=%{version} jar javadoc

%install
rm -rf %{buildroot}

# jars
install -Dpm 644 build/dist/google-collect-%{version}/google-collect-%{version}.jar  %{buildroot}%{_javadir}/%{name}-%{version}.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%add_to_maven_depmap com.google.code.google-collections %{name} %{version} JPP %{name}

# poms
install -Dpm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/google-collect-%{version}
rm -rf javadoc/*

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc COPYING
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}
%{_javadocdir}/google-collect-%{version}

%changelog
* Tue Jun 08 2010 Hui Wang <huwang@redhat.com> - 1.0-1
- Initial version of the package
